Bug 1227697 - missing require for plasma-workspace of plasma-desktop
Summary: missing require for plasma-workspace of plasma-desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1228716 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 10:43 UTC by Felix Dewaleyne
Modified: 2015-06-09 15:11 UTC (History)
9 users (show)

Fixed In Version: kwrited-5.3.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-09 15:11:10 UTC


Attachments (Terms of Use)

Description Felix Dewaleyne 2015-06-03 10:43:07 UTC
Description of problem:
the rpm plasma-workspace does not provide all qml files that are in plasma-desktop and has no require to plasma-desktop. the missing qml file generates the issue https://bugs.kde.org/show_bug.cgi?id=348625 which is resolved by installing plasma-desktop

Version-Release number of selected component (if applicable):
5.3.0-4.fc22.x86_64

How reproducible:
not attempted again

Steps to Reproduce:
1. remove gnome packages that do not remove kde or plasma packages from your system
2. apply the latest updates between 22 as released and the current updates
3.

Actual results:
plasma-desktop is not installed

Expected results:
plasma-desktop should be in the requires of plasma-workspace or plasma-workspace have the qml files missing

Additional info:
I used rpm --requires -q plasma-workspace | grep -e plasma -e desktop
there wasn't mention of this.

the qml file missing is only provided by plasma-desktop according to dnf provides. that file is 

/usr/share/plasma/shells/org.kde.plasma.desktop/contents/loader.qml

Comment 1 Felix Dewaleyne 2015-06-03 10:51:23 UTC
I'm expecting that step 1 did not affect this at all but it wouldn't be fair to not mention that in case you want to see the dnf history.

Comment 2 Rex Dieter 2015-06-03 12:54:54 UTC
This should be fixed with plasma-desktop-5.3.1-2/plasma-workspace-5.3.1-2 update coming soon to -testing.

Comment 3 Fedora Update System 2015-06-04 00:32:59 UTC
kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-2.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-3.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-2.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-2.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-2.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-2.fc22,muon-5.3.1-1.fc22

Comment 4 Rex Dieter 2015-06-05 14:02:55 UTC
*** Bug 1228716 has been marked as a duplicate of this bug. ***

Comment 5 dominique 2015-06-05 14:31:19 UTC
OK Rex, 
I install both plasma-desktop-5.3.1-2/plasma-workspace-5.3.1-2 from koji, and no dependencies problem.

Comment 6 Fedora Update System 2015-06-05 23:57:36 UTC
Package kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kwrited-5.3.1-1.fc22 oxygen-fonts-5.3.1-1.fc22 plasma-sdk-5.3.1-1.fc22 kf5-kwayland-5.3.1-1.fc22 plasma-milou-5.3.1-1.fc22 ksysguard-5.3.1-1.fc22 kf5-kfilemetadata-5.9.1-1.fc22 plasma-oxygen-5.3.1-1.fc22 kscreen-5.3.1-1.fc22 kde-gtk-config-5.3.1-1.fc22 bluedevil-5.3.1-1.fc22 kio-extras-5.3.1-1.fc22 plasma-systemsettings-5.3.1-1.fc22 kdecoration-5.3.1-1.fc22 plasma-workspace-wallpapers-5.3.1-1.fc22 khotkeys-5.3.1-1.fc22 plasma-nm-5.3.1-1.fc22 sddm-kcm-5.3.1-1.fc22 libksysguard-5.3.1-1.fc22 kf5-baloo-5.9.1-1.fc22 kinfocenter-5.3.1-1.fc22 polkit-kde-5.3.1-1.fc22 kf5-bluez-qt-5.3.1-1.fc22 powerdevil-5.3.1-1.fc22 ksshaskpass-5.3.1-1.fc22 libkscreen-qt5-5.3.1-1.fc22 plasma-breeze-5.3.1-1.fc22 kdeplasma-addons-5.3.1-1.fc22 muon-5.3.1-1.fc22 kmenuedit-5.3.1-2.fc22 khelpcenter-5.3.1-3.fc22 kwin-5.3.1-2.fc22 plasma-workspace-5.3.1-2.fc22 kde-cli-tools-5.3.1-2.fc22 plasma-desktop-5.3.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-2.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-3.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-2.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-2.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-2.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-2.fc22,muon-5.3.1-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-09 15:11:10 UTC
kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.